
package de.ivu.elect.business.wahl.entity;

public enum WahlParameterStimmeingabeErfassungsmaskeTabKeys {

  TAB {

    @Override
    public boolean isEnterDefaultIncluded() {
      return false;
    }

    @Override
    public boolean isEnterNumpadIncluded() {
      return false;
    }
  },
  TAB_ENTER_NUMPAD_ENTER_DEFAULT {

    @Override
    public boolean isEnterDefaultIncluded() {
      return true;
    }

    @Override
    public boolean isEnterNumpadIncluded() {
      return true;
    }
  },
  TAB_ENTER_NUMPAD {

    @Override
    public boolean isEnterDefaultIncluded() {
      return false;
    }

    @Override
    public boolean isEnterNumpadIncluded() {
      return true;
    }
  }

  ;

  private WahlParameterStimmeingabeErfassungsmaskeTabKeys() {
  }

  public static WahlParameterStimmeingabeErfassungsmaskeTabKeys defaultValue() {
    return TAB_ENTER_NUMPAD_ENTER_DEFAULT;
  }

  public boolean isEnterIncluded() {
    return isEnterDefaultIncluded() || isEnterNumpadIncluded();
  }

  public abstract boolean isEnterDefaultIncluded();

  public abstract boolean isEnterNumpadIncluded();
}
